> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disconnect Entity

> Disconnect entity(s) from a connection without affecting other entities associated with the same connection.

Disconnection is scoped to the `entity_id(s)` provided in the request body. The entity(s) must belong to the connection associated with the `access_token` used to call this endpoint. All other entities linked to the same connection remain active and unaffected. If you need to disconnect all entities under a connection at once, use the [Disconnect](/api-reference/management/disconnect) endpoint instead.


## OpenAPI

````yaml post /disconnect-entity
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /disconnect-entity:
    post:
      tags:
        - Management
      summary: Disconnect Entity
      description: >-
        Disconnect entity(s) from a connection without affecting other entities
        associated with the same connection.
      operationId: post-disconnect-entity
      parameters:
        - $ref: '#/components/parameters/API-Version'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DisconnectEntityRequest'
            examples:
              Sample:
                value:
                  entity_ids:
                    - 3c90c3cc-0d44-4b50-8888-8dd25736052a
                    - 5e6f7a8b-9c10-4d11-a12b-c13d14e15f16
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DisconnectEntityResponse'
              examples:
                Success:
                  value:
                    status: success
        '400':
          description: >-
            Bad request. Either the request body is malformed (missing or
            invalid entity_ids) or one or more entity IDs failed validation.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/DisconnectEntityErrorResponse'
                  - $ref: '#/components/schemas/ErrorResponse'
              examples:
                NotFound:
                  summary: One or more entity IDs not found
                  value:
                    errors:
                      - entityId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                        error: NOT_FOUND
                BadRequest:
                  summary: Malformed request (missing or invalid entity_ids)
                  value:
                    statusCode: 400
                    status: 400
                    code: 400
                    name: BadRequestError
                    message: entity_ids must be a non-empty array of UUIDs.
      security:
        - bearerAuth: []
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    DisconnectEntityRequest:
      type: object
      properties:
        entity_ids:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
          description: >-
            Array of entity UUIDs to disconnect. At least one entity ID must be
            provided.
      required:
        - entity_ids
    DisconnectEntityResponse:
      type: object
      properties:
        status:
          type: string
          description: >-
            If the request is successful, Finch will return "success" (HTTP 200
            status).
      required:
        - status
    DisconnectEntityErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/DisconnectEntityErrorItem'
          description: List of entity IDs that failed validation and their error codes.
      required:
        - errors
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
        status:
          type: integer
        code:
          type: integer
        name:
          type: string
        message:
          type: string
      required:
        - statusCode
        - status
        - code
        - name
        - message
    DisconnectEntityErrorItem:
      type: object
      properties:
        entityId:
          type: string
          format: uuid
          description: The entity ID that failed.
        error:
          type: string
          enum:
            - NOT_FOUND
          description: The error code indicating why the entity could not be disconnected.
      required:
        - entityId
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````